:root {
  --background-color: #f9fcfc;
  --opposite-background-color: black;
  --text-color: black;
  --fade-secondary-text-color: 15%;
  --secondary-text-color: color-mix(in xyz-d65, var(--text-color), var(--background-color) var(--fade-secondary-text-color));

  --site-width: 80ch;
  --site-inline-padding: 2em;
  --mobile-max-width: 80ch;
  --selection-color: color-mix(in xyz-d65, var(--text-color), var(--background-color) 70%);
  --hover-background-color: color-mix(in xyz-d65, var(--background-color), var(--opposite-background-color) 5%);

  @media (prefers-color-scheme: dark) {
    /**--background-color: black;*/
    --background-color: #000e10;
    --opposite-background-color: #b8f9ff;
    --text-color: #faffff;
    --fade-secondary-text-color: 40%;
    /* Previous too bright colors */
    /*--text-color: #b8f9ff;
    --text-color: #32e9ff;
    --secondary-text-color: #00baca;*/
  }

  @media (max-width: 42ch) {
    --site-inline-padding: 1em;
  }
}

body {
  margin: 0;
  font-family: 'Geist Mono', monospace;
  background-color: var(--background-color);
  color: var(--text-color);

  ::selection {
    background-color: var(--selection-color);
  }
}

main {
  max-width: calc(var(--site-width) + 2*var(--site-inline-padding));
  margin: auto;
}

footer {
  border-top: solid 1px var(--secondary-text-color);
  max-width: var(--site-width);
  padding: 1.5em var(--site-inline-padding);
  margin: auto;

  @media (max-width: 42ch) {
    padding: 1em var(--site-inline-padding);
  }
}

.link-grid {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1em 2em;
  flex-wrap: wrap;

  &.link-grid--bordered {
    gap: 0.5em 1em;
  }

  & > .link-grid-link {
    display: inline-flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5em;
    color: var(--text-color);

    &.link-grid-link--bordered {
      border: solid 1px var(--text-color);
      padding-block: 0.75em;
      padding-inline-start: 0.75em;
      padding-inline-end: 0.8em;

      &:is(:hover, :focus) {
        background-color: var(--hover-background-color);
      }
    }

    .link-grid-link-icon {
      height: 1.05em;
      fill: var(--text-color);
    }
  }
}

/* cyrillic */
@font-face {
  font-family: 'Geist Mono';
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src: url('fonts/geist-mono/cyrillic.woff2') format('woff2');
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}

/* latin-ext */
@font-face {
  font-family: 'Geist Mono';
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src: url('fonts/geist-mono/latin-ext.woff2') format('woff2');
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

/* latin */
@font-face {
  font-family: 'Geist Mono';
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src: url('fonts/geist-mono/latin.woff2') format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
